Subject: Method visibility filter does not work

Description

The method visibility filter is not doing anything (again). A wrong regexp match parses visibilities like "public " or "protected ". The
check for valid visibilities inside the PointcutMethodNamefFilter is uselesss, because it accepts the space behind the visibility.

There is also no real unit test for the parseDesignatorMethod method inside the PointcutExpressionParser and the functional test for
protected methods had a wrong visibility (public instead of protected!).

Associated revisions

Revision 881be270 - 2011-07-26 18:53 - Christopher Hlubek

[BUGFIX] Fix method visibility filter

This change mainly fixes the parsing of the method visibility and adds
a unit test that tests the actual parsing. Also the functional test

for advices on protected methods is fixed to really target a

protected method. To enable the unit test to get filters from a
composite and as a performance improvement, a nested composite will

only be created if the operator is not "&&".

Change-Id: 166925ef9b482c1d0abe9334740567ced23352fe8
Resolves: #28477

History

#1 - 2011-07-26 18:54 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change 166925ef9b482¢c1d0abe9334740567ced23352fe8 has been pushed to the review server.

It is available at http://review.typo3.0rg/3726

#2 - 2011-07-28 19:05 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:881be27043164cdbf4b5aa0259a6a409b1af6263.

2015-08-03

1/2



http://review.typo3.org/3726

2015-08-03 22



